Public Member Functions | Public Attributes | List of all members
librevenge::RVNGPropertyListVectorImpl Class Reference

## Public Member Functions
| RVNGPropertyListVectorImpl (const std::vector< RVNGPropertyList > &_vector)
| RVNGPropertyListVectorImpl ()
void | append (const RVNGPropertyList &elem)
unsigned long | count () const
bool | empty () const
void | clear ()
const RVNGPropertyList & | operator[] (unsigned long index) const

## Public Attributes
std::vector< RVNGPropertyList > | m_vector

## Constructor & Destructor Documentation

## ◆ RVNGPropertyListVectorImpl() [1/2]

librevenge::RVNGPropertyListVectorImpl::RVNGPropertyListVectorImpl | ( | const std::vector< RVNGPropertyList > & | _vector | ) |
| inline

## ◆ RVNGPropertyListVectorImpl() [2/2]

librevenge::RVNGPropertyListVectorImpl::RVNGPropertyListVectorImpl | ( |  | ) |
| inline

## Member Function Documentation

## ◆ append()

void librevenge::RVNGPropertyListVectorImpl::append | ( | const RVNGPropertyList & | elem | ) |
| inline

Referenced by librevenge::RVNGPropertyListVector::append().

## ◆ clear()

void librevenge::RVNGPropertyListVectorImpl::clear | ( |  | ) |
| inline

Referenced by librevenge::RVNGPropertyListVector::clear().

## ◆ count()

unsigned long librevenge::RVNGPropertyListVectorImpl::count | ( |  | ) | const
| inline

Referenced by librevenge::RVNGPropertyListVector::count().

## ◆ empty()

bool librevenge::RVNGPropertyListVectorImpl::empty | ( |  | ) | const
| inline

Referenced by librevenge::RVNGPropertyListVector::empty().

## ◆ operator[]()

const RVNGPropertyList& librevenge::RVNGPropertyListVectorImpl::operator[] | ( | unsigned long | index | ) | const
| inline

## Member Data Documentation

## ◆ m_vector

std::vector<RVNGPropertyList> librevenge::RVNGPropertyListVectorImpl::m_vector

Referenced by append(), librevenge::RVNGPropertyListVector::append(), clear(), count(), empty(), librevenge::RVNGPropertyListVector::operator=(), and operator[]().

The documentation for this class was generated from the following file:

- RVNGPropertyListVector.cpp